Tag: pip

«Невозможно найти искатель для ошибки« pip._vendor.distlib »при использовании« pip install virtualenv »

Я пытаюсь установить virtualenv с версией Python 3.6 под Windows 10. Когда я запускаю «pip install virtualenv», я получаю эту ошибку. Я новичок в Python. Collecting virtualenv Downloading virtualenv-15.0.3-py2.py3-none-any.whl (3.5MB) 100% |████████████████████████████████| 3.5MB 256kB/s Installing collected packages: virtualenv Exception: Traceback (most recent call last): File "c:\users\corey shaw\appdata\local\programs\python\python36\lib\site-packages\pip\basecommand.py", line 215, in main status = self.run(options, args) […]

from matplotlib.backends import _tkagg ImportError: невозможно импортировать имя _tkagg

При попытке запустить этот пример, чтобы проверить, как работает matplotlib с Tkinter, я получаю сообщение об ошибке: (env)fieldsofgold@fieldsofgold-VirtualBox:~/new$ python test.py Traceback (most recent call last): File "test.py", line 7, in <module> from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg, NavigationToolbar2TkAgg File "/home/fieldsofgold/new/env/local/lib/python2.7/site-packages/matplotlib/backends/backend_tkagg.py", line 13, in <module> import matplotlib.backends.tkagg as tkagg File "/home/fieldsofgold/new/env/local/lib/python2.7/site-packages/matplotlib/backends/tkagg.py", line 7, in <module> from matplotlib.backends import […]

Как исправить ошибки, возникающие после установки line_profiler?

Использование Ubuntu 14.04.5 LTS. Попробовал установить line_profiler с sudo pip3 install line_profiler , и теперь, когда я запускаю sudo pip3 , я получаю следующий вывод: Traceback (most recent call last): File "/usr/bin/pip3", line 5, in <module> from pkg_resources import load_entry_point File "/usr/local/lib/python3.4/dist-packages/pkg_resources/__init__.py", line 72, in <module> import packaging.requirements File "/usr/local/lib/python3.4/dist-packages/packaging/requirements.py", line 59, in <module> MARKER_EXPR […]

pytz install на Mac

Django сообщает мне, что «ImportError: нет модуля с именем pytz», но когда я иду использовать pip для его установки, я получаю этот результат: Requirement already satisfied (use –upgrade to upgrade): pytz in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python Возможно ли, что он смотрит в неправильном месте или что мне нужно попытаться установить его где-то еще? Вот полный стек: Internal Server […]

ValueError «Ожидаемая спецификация версии» при установке локального колеса по каналу

У меня есть модуль Python с закрытым исходным кодом, который я разрабатываю, и хотел бы поделиться с людьми на моем рабочем месте. Я создал колесо через setup.py bdist_wheel с этим файлом setup.py: #!/usr/bin/env python from setuptools import setup, find_packages setup(name='mypkg', version='0.0.1', description='tools for work', author='tbhartman', packages=find_packages('src', exclude=['test*']), package_dir = {'':'src'}, entry_points={ 'console_scripts':[ 'runtool = mypkg.run:main', […]

Plotly убил мою установку python

Я просто пытался установить Plotly, используя pip. Я запускаю python из Anaconda, и теперь, когда я пытаюсь запустить любой python, я получаю следующие ошибки, и я не знаю, как его исправить. Я работаю на Windows 7 64bit, Python3,4 PS Z:\> pip Traceback (most recent call last): File "C:\Anaconda3\Scripts\pip-script.py", line 3, in <module> from pip import […]

использовать «pip install / uninstall» внутри скрипта python

как, внутри скрипта python я могу установить пакеты с помощью pip? Я не использую os.system, я хочу импортировать pip и использовать его.

Ошибка установки python pycparser

Я вижу следующую ошибку при настройке pyparser на CentOS 7 через pip /usr/bin/python2 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-PMzCYU/pycparser/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install –record /tmp/pip-0bpBrX-record/install-record.txt –single-version-externally-managed –compile Traceback (most recent call last): Файл «", строка 1, в init.py ", строка 12, в файле setuptools.version. Файл« /usr/lib/python2.7/site-packages/setuptools/version.py », строка 1, в файле импорта pkg_resources. "/usr/lib/python2.7/site-packages/pkg_resources/ […]

PIP всегда переустанавливает пакет при использовании конкретной версии SVN

PIP всегда загружает и устанавливает пакет, когда задана конкретная ревизия SVN (значительно замедляет процесс синхронизации). Есть ли способ обойти это? Обычно pip обнаруживает, что пакет уже установлен в среде и предлагает использовать –upgrade . Мой файл pip_requirements имеет следующую строку: svn+http://code.djangoproject.com/svn/django/trunk/@16406#egg=Django1.4A Спасибо за вашу помощь! Ответ Необходимо указать имя яйца как точное имя пакета python. […]

Как установить отсутствующий пакет python внутри скрипта, который в нем нуждается?

Предполагая, что у вас уже есть pip или easy_install, установленный в вашем дистрибутиве python, я хотел бы знать, как я могу установить требуемый пакет в каталог пользователя из самого скрипта. Из того, что я знаю, pip также является модулем python, поэтому решение должно выглядеть так: try: import zumba except ImportError: import pip # … do […]

Python - лучший язык программирования в мире.